package com.loafle.bridge.discoveryzone;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Created by root on 16. 11. 15.
 */
@RestController
public class DiscoveryZoneController {

    @Autowired
    DiscoveryZoneRepository discoveryZoneRepository;

    @RequestMapping(value = "discoveryZone/{id}", method = RequestMethod.GET)
    public DiscoveryZone getDiscoveryZone(@PathVariable(name = "id")long id)  throws Exception {
        return this.discoveryZoneRepository.findOne(id);
    }

    @RequestMapping(value = "discoveryZone/", method = RequestMethod.GET)
    public List<DiscoveryZone> getDiscoveryZoneList() throws Exception {
        return this.discoveryZoneRepository.findAll();
    }


}
