package com.loafle.bridge.discoveryhistory;

import com.loafle.bridge.discoveryzone.DiscoveryZone;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * Created by root on 16. 11. 15.
 */
@RestController
public class DiscoveriyHistoryController {

    @Autowired
    DiscoveryHistoryRepository discoveryHistoryRepository;

    @RequestMapping(value = "/discoveryHistory", method = RequestMethod.POST)
    public void post(@RequestBody DiscoveryHistory history)  throws Exception {

        DiscoveryZone zone = history.getZone();
        if (zone != null) {
            zone.mappingChildren(history);
        }
        discoveryHistoryRepository.save(history);
    }


    @RequestMapping(value = "discoveryHistory/{id}", method = RequestMethod.GET)
    public DiscoveryHistory getDiscoveryHistory(@PathVariable(name = "id")long id)  throws Exception {
        return this.discoveryHistoryRepository.findOne(id);
    }

    @RequestMapping(value = "discoveryHistory/", method = RequestMethod.GET)
    public List<DiscoveryHistory> getDiscoveryHistoryList() throws Exception {
        return this.discoveryHistoryRepository.findAll();
    }

}
